> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collection Customers

> Lists the customers you have collected payments from. Requires a Business account.



## OpenAPI

````yaml /api-reference/openapi.json get /collections/customers/me
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /collections/customers/me:
    get:
      tags:
        - Collections
      summary: Get Collection Customers
      description: >-
        Lists the customers you have collected payments from. Requires a
        Business account.
      parameters:
        - name: page
          in: query
          required: false
          deprecated: false
          schema: {}
          example: '1'
        - name: pageSize
          in: query
          required: false
          deprecated: false
          schema: {}
          example: '30'
        - name: X-API-KEY
          in: header
          required: false
          deprecated: false
          schema: {}
        - name: X-API-TIMESTAMP
          in: header
          required: false
          deprecated: false
          schema: {}
        - name: X-API-SIGNATURE
          in: header
          required: false
          deprecated: false
          schema: {}
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              example:
                message: Ok
                data:
                  - id: 9b1d6a3d-df3e-4e33-9f2b-1c2e3a9b6a11
                    createdAt: '2026-08-10T09:12:44.000Z'
                    updatedAt: '2026-08-10T09:12:44.000Z'
                    active: true
                    businessId: 51ec42a0-6c2f-4435-86ed-fa7bae079a57
                    firstName: Ada
                    lastName: Okafor
                    bvn: '22212345678'
                    nin: '11198765432'
                meta:
                  perPage: 30
                  currentPage: 1
                  totalPages: 1
                  count: 1
                  total: 1
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````